/* @group Buttons (Simple Button Styles) */

.button {
	display: inline-block;
	overflow: hidden;
	margin: 4px;
	padding: 12px 12px;
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	transition: all 150ms linear;
	text-align: center;
	white-space: nowrap;
	text-decoration: none !important;
	text-transform: none;
	color: white;
	border: 0 none;
	border-radius: 4px;
	font-size: 13px;
	font-weight: 500;
	line-height: 1.3;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	justify-content: center;
	align-items: center;
	/* box-shadow: 2px 5px 10px #E4E4E4; */
}
.button.button-small {
	padding: 5px 10px;
}
.button:hover {
	transition: all 150ms linear;
	opacity: .85;
}
.button:active {
	transition: all 150ms linear;
	opacity: .75;
}
.button:focus {
	outline: 1px dotted #959595;
	outline-offset: -4px;
}

/* regular */
.button.button-regular {
	color: #202129;
	background-color: #F2F2F2;
}
.button.button-regular:hover {
	color: #202129;
	background-color: #E1E2E2;
	opacity: 1;
}
.button.button-regular:active {
	background-color: #D5D6D6;
	opacity: 1;
}

.button.button-dark {
	background-color: #161616;
}
.button.button-dark:focus {
	outline: 1px dotted white;
	outline-offset: -4px;
}

.button.button-dark, .button.button-green, .button.button-blue, .button.button-salmon {
	color: white;
}
.button.button-green {
	background-color: #3DD28D;
}
.button.button-blue {
	background-color: #416DEA;
}
.button.button-salmon {
	background-color: #F32C52;
}
.button.button-sun {
	color: #F15C5C;
	background-color: #FEEE7D;
}
.button.button-alge {
	color: #E7FF20;
	background-color: #7999A9;
}
.button.button-flower {
	color: #FE8CDF;
	background-color: #353866;
}

/* @end Buttons */

.pull-right {
	float: right;
}

/* @group D3 tree */

.node {
	cursor: pointer;
}

.overlay {
	background-color: #EEE;
}

.node circle {
	fill: #FFF;
	stroke: steelblue;
	stroke-width: 1.5px;
}

.node circle.selected {
	fill: red !important;
}

.node circle.context {
	fill: blue !important;
}

.node circle.move {
	fill: green !important;
}

.node text {
	font-size: 10px;
	font-family: sans-serif;
}
/* @end D3 tree */


.link {
	fill: none;
	stroke: #CCC;
	stroke-width: 1.5px;
}

.templink {
	fill: none;
	stroke: red;
	stroke-width: 3px;
}

.ghostCircle.show {
	display: block;
}

.ghostCircle, .activeDrag .ghostCircle {
	display: none;
}

/* @group Main view */

html, body {
	font-family: sans-serif;
	margin: 0;
	padding: 0;
}

div#tree-container {
	bottom: 0;
	left: 0;
	margin: 0;
	min-height: 60em;
	padding: 0;
	position: fixed;
	right: 0;
	top: 5em;
	z-index: -1;
}

select#vocab_selection {
	max-width: 20em;
}

div#vocab_section {
	display: inline;
}

div#panel {
	display: inline-block;
	width: 40%;
}

/* @end Main view */

/* @group Dropdowns */

.dropdown {
	display: inline-block;
	position: relative;
}

.dropdown .dropdown-content {
	background-color: #f9f9f9;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	display: none;
	min-width: 100px;
	padding: 12px 16px;
	position: absolute;
	z-index: 1;
}

.dropdown .dropdown-content .subsection {
	border: 2px solid #DDD;
	margin: 1em 0;
	padding: 0.5em;
}

.dropdown:hover .dropdown-content {
	display: block;
}

.dropdown .dropdown-content > label {
	display: block;
	text-align: left;
}

/* @end Dropdowns */

#export_section .export_button {
	display: block;
	margin: 0.25em 0;
	padding: 0.25em;
	width: 100%;
}

div#load, div#status {
	box-shadow: 2px 5px 10px #888;
	display: inline-block;
	left: 50%;
	margin-left: -5em;
	position: absolute;
	top: 0.3em;
	width: 10em;
}

div#status {
	z-index: 10;
}

div#search_section {
	background-color: #C9C9C3;
	border: 1px solid #888;
	border-radius: 5px;
	display: inline-block;
	float: right;
	margin-right: 25px;
	padding: 0.2em;
}

div#search_section:empty {
	display: none;
}

div#search_section p#hit-counter {
	display: inline-block;
	margin: 0 2em;
}

div#help {
	float: right;
}

div.modal a {
	font-size: 100%;
	font-family: Arial, sans-serif;
	text-decoration: none;
	background-color: transparent;
	color: blue;
	padding: 0;
	border: none;
}

div.modal a:hover {
	background-color: transparent;
	color: #003399;
}

/* search autocomplete */
ul.ui-autocomplete li.ui-menu-item {
	position: relative;
}

ul.ui-autocomplete li.ui-menu-item span {
	display: block;
}

ul.ui-autocomplete li.ui-menu-item span.ui-state-active {
	background-color: #DCDCDC;
	border-color: #DCDCDC;
	color: black;
}

ul.ui-autocomplete li.ui-menu-item span.close-cross {
	position: absolute;
	top: 0;
	right: 0.3em;
	text-align: center;
	padding: 0.2em;
	width: 1em;
	height: 1em;
	border-radius: 140%;
}

ul.ui-autocomplete li.ui-menu-item span.close-cross:hover {
	background-color: #A9A9A9;
}
/* end search autocomplete */

div#language {
	margin: 0 2em;
	display: inline;
}

div#language select {
	width: 6em;
}

button#expand {
	display: inline-block;
	float: right;
}

/* @group Header */

div#header {
	background-color: #444;
	overflow: hidden;
}

div#auth {
	float: right;
	margin-left: 10px;
}

div#auth p {
	color: white;
	display: inline;
	padding: 0.25em 0.5em;
}

div#auth .button {
	/* HACK: In firefox the button and text are not aligned when overflow is hidden */
	overflow: visible;
}

/* @end Header */

/* @group Title bar */

div#title {
	background-color: #AAA;
}

div#title h1 {
	color: #333;
	display: inline-block;
	margin-left: 0.25em;
	margin-right: 0.25em;
	vertical-align: middle;
}

div#title #controls {
	display: inline-block;
	vertical-align: middle;
}

/* @end Title bar */


/* modal window */
/* The Modal (background) */
.modal {
	position: fixed;
	z-index: 1;
	bottom: 0;
	left: 0;
	right: 0;
	top: 0;
	overflow: auto;
	background-color: rgb(0,0,0);
	background-color: rgba(0,0,0,0.4);
}

/* Modal Content */
.modal-content {
	background-color: #FEFEFE;
	margin: 100px auto;
	padding: 2em;
	border: 1px solid #888;
	width: 80%;
	position: relative;
}

/* The close button */
.close {
	color: #AAA;
	float: right;
	font-size: 28px;
	font-weight: bold;
}

.close:hover, .close:focus {
	color: black;
	text-decoration: none;
	cursor: pointer;
}

/* modal section divs */
div.modal-content > div {
	padding: 1em;
	background-color: #F8F9F9;
	border: 1px solid #A9CCE3;
	margin-bottom: 3em;
	border-radius: 3px;
}

/* modal title */
div.modal-content h1 {
	font-size: 150%;
	font-style: italic;
}

/* linked tree sections */
div.modal-content div.treebox {
	position: relative;
	width: 28em;
	margin: 0 2em 2em 0;
	padding: 1em;
	float: left;
	background: #EBECDA;
	background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iI2ViZWNkYSIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjQwJSIgc3RvcC1jb2xvcj0iI2UwZTBjNiIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiNjZWNlYjciIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
	background: -moz-linear-gradient(top,  #ebecda 0%, #e0e0c6 40%, #ceceb7 100%);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#ebecda), color-stop(40%,#e0e0c6), color-stop(100%,#ceceb7));
	background: -webkit-linear-gradient(top,  #ebecda 0%,#e0e0c6 40%,#ceceb7 100%);
	background: -o-linear-gradient(top,  #ebecda 0%,#e0e0c6 40%,#ceceb7 100%);
	background: -ms-linear-gradient(top,  #ebecda 0%,#e0e0c6 40%,#ceceb7 100%);
	background: linear-gradient(to bottom,  #ebecda 0%,#e0e0c6 40%,#ceceb7 100%);
	border: 1px solid #999;
}

div.modal-content select#linked_tree_selection {
	display: block;
	clear: left;
}

div.modal-content div.references > h4 {
	clear: left;
}

div.modal-content div.references {
	overflow: auto;
}

div.modal-content div.treecontainer {
	border: solid blue 1px;
	margin: 1em 0;
	width: 20em;
	height: 10em;
	background-color: #F2F3F4;
}

/* tree change button */
div.modal-content button.tree_change {
	position: absolute;
	display: inline-block;
	top: 2.5em;
	right: 1em;
	width: 10em;
}

div.modal-content button.tree_change span.vocabulary {
	display: inline-block;
	margin-top: 0.5em;
	font-weight: bold;
	overflow-wrap: break-word;
}

/* linked tree delete button */
div.modal-content span.delete_reference {
	position: absolute;
	display: inline-block;
	top: 4em;
	right: 2.5em;
	font-size: 150%;
}

/* modal url */
div.modal-content a:hover {
	background-color: #AED6F1;
}

/* node attributes table */
div.modal-content table td + td, div.modal-content table th + th {
	padding: 0.5em 1em;
}

div.modal-content table span {
	display: inline-block;
	word-wrap: break-word;
}

div.modal-content textarea {
	width: 100%;
	font-size: 105%;
	overflow: visible;
}

table.hide-first-col tr th:first-child, table.hide-first-col tr td:first-child {
	display: none;
}

/* labels, variants */
div.modal-content table.labels td + td, div.modal-content table.variants td + td {
	max-width: 10em;
	width: 10em;
}

div.modal-content table.labels th + th, div.modal-content table.variants th + th {
	width: 10em;
}

div.modal-content table.labels span, div.modal-content table.variants span {
	max-width: 7em;
	width: 7em;
}

/* definitions, external_references */
div.modal-content table.definitions td:nth-child(2), div.modal-content table.external_references td:nth-child(2) {
	max-width: 22em;
	width: 22em;
}

div.modal-content table.definitions th:nth-child(2), div.modal-content table.external_references th:nth-child(2)  {
	width: 22em;
}

div.modal-content table.definitions td:nth-child(3) {
	max-width: 10em;
	width: 10em;
}

div.modal-content table.definitions th:nth-child(3) {
	width: 10em;
}

div.modal-content table.definitions span.text, div.modal-content table.external_references span.target_url  {
	max-width: 17em;
	width: 17em;
}

div.modal-content table.definitions span.lang {
	max-width: 7em;
	width: 7em;
}

/* control buttons */
div.modal-content button.edit {
	float: right;
	margin-left: 0.5em;
}

div.modal-content span.delete, div.modal-content span.insert {
	cursor: pointer;
	display: inline-block;
	font-size: 140%;
	margin: 0.5em;
}

div.modal-content span.insert {
	margin-left: 0.2em;
}

/* general table formatting */
table {
	color: #333;
	border-width: 1px;
	border-color: #999;
	border-collapse: collapse;
}
table th {
	background: #D5E3E4;
	background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iI2Q1ZTNlNCIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjQwJSIgc3RvcC1jb2xvcj0iI2NjZGVlMCIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiNiM2M4Y2MiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
	background: -moz-linear-gradient(top, #D5E3E4 0%, #CCDEE0 40%, #B3C8CC 100%);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #D5E3E4), color-stop(40%, #CCDEE0), color-stop(100%, #B3C8CC));
	background: -webkit-linear-gradient(top, #D5E3E4 0%, #CCDEE0 40%, #B3C8CC 100%);
	background: -o-linear-gradient(top, #D5E3E4 0%, #CCDEE0 40%, #B3C8CC 100%);
	background: -ms-linear-gradient(top, #D5E3E4 0%, #CCDEE0 40%, #B3C8CC 100%);
	background: linear-gradient(to bottom, #D5E3E4 0%, #CCDEE0 40%, #B3C8CC 100%);
	border: 1px solid #999;
}
table td {
	background: #EBECDA;
	background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iI2ViZWNkYSIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjQwJSIgc3RvcC1jb2xvcj0iI2UwZTBjNiIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiNjZWNlYjciIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
	background: -moz-linear-gradient(top, #EBECDA 0%, #E0E0C6 40%, #CECEB7 100%);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #EBECDA), color-stop(40%, #E0E0C6), color-stop(100%, #CECEB7));
	background: -webkit-linear-gradient(top, #EBECDA 0%, #E0E0C6 40%, #CECEB7 100%);
	background: -o-linear-gradient(top, #EBECDA 0%, #E0E0C6 40%, #CECEB7 100%);
	background: -ms-linear-gradient(top, #EBECDA 0%, #E0E0C6 40%, #CECEB7 100%);
	background: linear-gradient(to bottom, #EBECDA 0%, #E0E0C6 40%, #CECEB7 100%);
	border: 1px solid #999;
}
table th {
	border-top: 1px solid #EEFAFC;
	border-bottom: 0;
	border-left: 1px solid #EEFAFC;
	border-right: 0;
}
table td {
	border-top: 1px solid #FCFDEC;
	border-bottom: 0;
	border-left: 1px solid #FCFDEC;
	border-right: 0;
}

#save_confirmation .modal-content {
	width: 25%;
	margin-bottom: 0;
}

#save_confirmation .modal-content p {
	font-size: 120%;
	padding: 1em;
	text-align: center;
}

/* JSON import error message box */
div.failure_box {
	padding: 0 0.5em;
	margin-bottom: 0.5em;
	border: 1px solid black;
	background-color: #EC7063;
}

p.error_message {
	font-style: italic;
	word-wrap: break-word;
}

/* progress bar and label */
.ui-progressbar {
	position: relative;
}

.progress-label {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	font-size: 70%;
	font-weight: bold;
	color: black;
	white-space: pre;
}

.ui-progressbar-value {
	background: #4B609E;
}

.ui-progressbar-value.failed {
	background-color: red;
}

.ui-dialog .ui-dialog-buttonpane button {
	float: right;
}
